package com.younike.system.service.impl;

import java.util.List;

import com.younike.common.core.domain.entity.SysUserGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.younike.system.mapper.SysUserGroupMapper;
import com.younike.system.service.ISysUserGroupService;

/**
 * 小区管理人员和小区关联Service业务层处理
 *
 * @author elev
 * @date 2021-12-08
 */
@Service
public class SysUserGroupServiceImpl implements ISysUserGroupService
{
    @Autowired
    private SysUserGroupMapper sysUserGroupMapper;

    /**
     * 查询小区管理人员和小区关联
     *
     * @param userId 小区管理人员和小区关联主键
     * @return 小区管理人员和小区关联
     */
    @Override
    public SysUserGroup selectSysUserGroupByUserId(Long userId)
    {
        return sysUserGroupMapper.selectSysUserGroupByUserId(userId);
    }

    /**
     * 查询小区管理人员和小区关联列表
     *
     * @param sysUserGroup 小区管理人员和小区关联
     * @return 小区管理人员和小区关联
     */
    @Override
    public List<SysUserGroup> selectSysUserGroupList(SysUserGroup sysUserGroup)
    {
        return sysUserGroupMapper.selectSysUserGroupList(sysUserGroup);
    }

    /**
     * 新增小区管理人员和小区关联
     *
     * @param sysUserGroup 小区管理人员和小区关联
     * @return 结果
     */
    @Override
    public int insertSysUserGroup(SysUserGroup sysUserGroup)
    {
        return sysUserGroupMapper.insertSysUserGroup(sysUserGroup);
    }

    /**
     * 修改小区管理人员和小区关联
     *
     * @param sysUserGroup 小区管理人员和小区关联
     * @return 结果
     */
    @Override
    public int updateSysUserGroup(SysUserGroup sysUserGroup)
    {
        return sysUserGroupMapper.updateSysUserGroup(sysUserGroup);
    }

    /**
     * 批量删除小区管理人员和小区关联
     *
     * @param userIds 需要删除的小区管理人员和小区关联主键
     * @return 结果
     */
    @Override
    public int deleteSysUserGroupByUserIds(Long[] userIds)
    {
        return sysUserGroupMapper.deleteSysUserGroupByUserIds(userIds);
    }

    /**
     * 删除小区管理人员和小区关联信息
     *
     * @param userId 小区管理人员和小区关联主键
     * @return 结果
     */
    @Override
    public int deleteSysUserGroupByUserId(Long userId)
    {
        return sysUserGroupMapper.deleteSysUserGroupByUserId(userId);
    }
}
